Loading...
Searching...
No Matches
gprs_msgb.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/logging.h>`

Go to the source code of this file.

## Data Structures

struct | libgb_msgb_cb
| the data structure stored in msgb->cb for libgb apps More...

## Macros

#define | LIBGB_MSGB_CB(__msgb)
#define | msgb_tlli(__x)
#define | msgb_nsei(__x)
#define | msgb_bvci(__x)
#define | msgb_gmmh(__x)
#define | msgb_bssgph(__x)
#define | msgb_bssgp_len(__x)
#define | msgb_bcid(__x)
#define | msgb_llch(__x)

## Functions

struct libgb_msgb_cb | __attribute__ ((packed, may_alias))
int | gprs_log_filter_fn (const struct log_context *ctx, struct log_target *tar)

## Variables

unsigned char * | bssgph
unsigned char * | llch
unsigned char * | bssgp_cell_id
| Cell Identifier.
uint16_t | nsei
| Identifiers of a BTS, equal to 'struct bssgp_bts_ctx'.
uint16_t | bvci
uint32_t | tlli
| Identifier of a MS (inside BTS), equal to 'struct sgsn_mm_ctx'.

## Macro Definition Documentation

## LIBGB_MSGB_CB

#define LIBGB_MSGB_CB | ( |  | __msgb | ) |

Value:
((struct libgb_msgb_cb *)&((__msgb)->cb[0]))
libgb_msgb_cb
the data structure stored in msgb->cb for libgb apps
Definition gprs_msgb.h:7

Referenced by bssgp_msgb_copy().

## msgb_bcid

#define msgb_bcid | ( |  | __x | ) |

Value:
LIBGB_MSGB_CB(__x)->bssgp_cell_id
LIBGB_MSGB_CB
#define LIBGB_MSGB_CB(__msgb)
Definition gprs_msgb.h:21

Referenced by bssgp_bvc_fsm_allstate(), bssgp_bvc_fsm_blocked(), bssgp_bvc_fsm_unblocked(), bssgp_bvc_fsm_wait_reset_ack(), and bssgp_rx_ul_ud().

## msgb_bssgp_len

#define msgb_bssgp_len | ( |  | __x | ) |

Value:
((__x)->tail - (uint8_t *)msgb_bssgph(__x))
msgb_bssgph
#define msgb_bssgph(__x)
Definition gprs_msgb.h:26

Referenced by bssgp2_enc_status(), bssgp_parse_rim_pdu(), bssgp_rcvmsg(), bssgp_rx_paging(), and bssgp_tx_status().

## msgb_bssgph

#define msgb_bssgph | ( |  | __x | ) |

Value:
LIBGB_MSGB_CB(__x)->bssgph

Referenced by bssgp2_enc_status(), bssgp_msgb_alloc(), bssgp_parse_rim_pdu(), bssgp_rcvmsg(), bssgp_rx_paging(), bssgp_rx_ptp(), bssgp_rx_rim(), bssgp_rx_sign(), bssgp_rx_ul_ud(), bssgp_tx_rim(), bssgp_tx_rim_encoded(), bssgp_tx_status(), fi_tx_ptp(), fi_tx_sig(), and gprs_ns_rx_unitdata().

## msgb_bvci

#define msgb_bvci | ( |  | __x | ) |

Value:
LIBGB_MSGB_CB(__x)->bvci

Referenced by _tx_status(), bssgp_rcvmsg(), bssgp_rx_bvc_block(), bssgp_rx_bvc_unblock(), bssgp_rx_fc_bvc(), bssgp_rx_ptp(), bssgp_rx_resume(), bssgp_rx_sign(), bssgp_rx_suspend(), bssgp_tx_bvc_block(), bssgp_tx_bvc_unblock(), bssgp_tx_dl_ud(), bssgp_tx_fc_bvc(), bssgp_tx_fc_bvc_ack(), bssgp_tx_fc_ms(), bssgp_tx_flush_ll_ack(), bssgp_tx_llc_discarded(), bssgp_tx_paging(), bssgp_tx_ra_capa_upd(), bssgp_tx_resume(), bssgp_tx_resume_ack(), bssgp_tx_resume_nack(), bssgp_tx_rim(), bssgp_tx_rim_encoded(), bssgp_tx_simple_bvci(), bssgp_tx_status(), bssgp_tx_suspend(), bssgp_tx_suspend_ack(), bssgp_tx_suspend_nack(), bssgp_tx_ul_ud(), common_tx_radio_status(), gprs_ns_rx_unitdata(), gprs_ns_sendmsg(), and tx_bvc_reset_nsei_bvci().

## msgb_gmmh

#define msgb_gmmh | ( |  | __x | ) |

Value:
(__x)->l3h

## msgb_llch

#define msgb_llch | ( |  | __x | ) |

Value:
LIBGB_MSGB_CB(__x)->llch

Referenced by bssgp_rx_ul_ud().

## msgb_nsei

#define msgb_nsei | ( |  | __x | ) |

Value:
LIBGB_MSGB_CB(__x)->nsei

Referenced by bssgp_parse_rim_pdu(), bssgp_rcvmsg(), bssgp_rx_bvc_block(), bssgp_rx_bvc_reset(), bssgp_rx_bvc_unblock(), bssgp_rx_fc_bvc(), bssgp_rx_llc_disc(), bssgp_rx_resume(), bssgp_rx_rim(), bssgp_rx_status(), bssgp_rx_suspend(), bssgp_tx_bvc_block(), bssgp_tx_bvc_unblock(), bssgp_tx_dl_ud(), bssgp_tx_fc_bvc(), bssgp_tx_fc_bvc_ack(), bssgp_tx_fc_ms(), bssgp_tx_flush_ll_ack(), bssgp_tx_llc_discarded(), bssgp_tx_paging(), bssgp_tx_ra_capa_upd(), bssgp_tx_resume(), bssgp_tx_resume_ack(), bssgp_tx_resume_nack(), bssgp_tx_rim(), bssgp_tx_rim_encoded(), bssgp_tx_simple_bvci(), bssgp_tx_status(), bssgp_tx_suspend(), bssgp_tx_suspend_ack(), bssgp_tx_suspend_nack(), bssgp_tx_ul_ud(), common_tx_radio_status(), gprs_ns_process_msg(), gprs_ns_rx_sns(), gprs_ns_sendmsg(), and tx_bvc_reset_nsei_bvci().

## msgb_tlli

#define msgb_tlli | ( |  | __x | ) |

Value:
LIBGB_MSGB_CB(__x)->tlli

Referenced by bssgp_rx_ul_ud(), and bssgp_tx_dl_ud().

## Function Documentation

## __attribute__()

struct libgb_msgb_cb __attribute__ | ( | (packed, may_alias) |  | ) |

## gprs_log_filter_fn()

int gprs_log_filter_fn | ( | const struct log_context * | ctx,
|  | struct log_target * | tar )

References log_context::ctx, log_target::filter_data, and log_target::filter_map.

## Variable Documentation

## bssgp_cell_id

unsigned char* bssgp_cell_id

Cell Identifier.

## bssgph

unsigned char* bssgph

## bvci

uint16_t bvci

Referenced by _bvc_fsm_alloc(), _tx_status(), backlog_enqueue_or_free(), bssgp2_enc_bvc_block(), bssgp2_enc_bvc_block_ack(), bssgp2_enc_bvc_reset(), bssgp2_enc_bvc_reset_ack(), bssgp2_enc_bvc_unblock(), bssgp2_enc_bvc_unblock_ack(), bssgp2_enc_status(), bssgp2_nsi_tx_ptp(), bssgp_bvc_fsm_alloc_ptp_bss(), bssgp_bvc_fsm_alloc_ptp_sgsn(), bssgp_fc_ms_init(), bssgp_rcvmsg(), bssgp_rx_bvc_block(), bssgp_rx_bvc_reset(), bssgp_rx_bvc_unblock(), bssgp_rx_ptp(), bssgp_rx_rim(), bssgp_rx_sign(), bssgp_rx_status(), bssgp_tx_bvc_reset(), bssgp_tx_bvc_reset2(), bssgp_tx_bvc_reset_ack_nsei_bvci(), bssgp_tx_bvc_reset_nsei_bvci(), bssgp_tx_dl_ud(), bssgp_tx_paging(), bssgp_tx_simple_bvci(), bssgp_tx_status(), btsctx_alloc(), btsctx_by_bvci_nsei(), DEFUN(), DEFUN(), gprs_active_nsvc_by_nsei(), gprs_ns2_recv_prim(), gprs_ns_rx_unitdata(), gprs_ns_sendmsg(), gprs_ns_tx_status(), ns2_count_transfer_cap(), ns2_load_sharing(), ns2_load_sharing_modulo(), ns2_load_sharing_weight_modulo(), ns2_nse_notify_alive(), ns2_prim_status_ind(), ns2_recv_unitdata(), ns2_tx_status(), ns2_tx_unit_data(), ns2_vc_is_alive(), and tx_bvc_reset_nsei_bvci().

## llch

unsigned char* llch

## nsei

uint16_t nsei

Identifiers of a BTS, equal to 'struct bssgp_bts_ctx'.

Referenced by _bvc_fsm_alloc(), bssgp2_enc_flush_ll(), bssgp2_nsi_tx_ptp(), bssgp2_nsi_tx_sig(), bssgp_bvc_fsm_alloc_ptp_bss(), bssgp_bvc_fsm_alloc_ptp_sgsn(), bssgp_bvc_fsm_alloc_sig_bss(), bssgp_bvc_fsm_alloc_sig_sgsn(), bssgp_fc_ms_init(), bssgp_parse_rim_pdu(), bssgp_rcvmsg(), bssgp_rx_bvc_block(), bssgp_rx_bvc_reset(), bssgp_rx_bvc_unblock(), bssgp_rx_llc_disc(), bssgp_rx_resume(), bssgp_rx_rim(), bssgp_rx_status(), bssgp_rx_suspend(), bssgp_tx_bvc_ptp_reset(), bssgp_tx_bvc_reset_ack_nsei_bvci(), bssgp_tx_bvc_reset_nsei_bvci(), bssgp_tx_dl_ud(), bssgp_tx_fc_bvc_ack(), bssgp_tx_paging(), bssgp_tx_resume(), bssgp_tx_resume_ack(), bssgp_tx_resume_nack(), bssgp_tx_rim(), bssgp_tx_rim_encoded(), bssgp_tx_simple_bvci(), bssgp_tx_suspend(), bssgp_tx_suspend_ack(), bssgp_tx_suspend_nack(), btsctx_alloc(), btsctx_by_bvci_nsei(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), gprs_active_nsvc_by_nsei(), gprs_ns2_create_nse(), gprs_ns2_create_nse2(), gprs_ns2_fr_connect2(), gprs_ns2_ip_connect2(), gprs_ns2_nse_by_nsei(), gprs_ns2_recv_prim(), gprs_ns_nsip_connect(), gprs_ns_nsip_connect_sns(), gprs_ns_rx_reset(), gprs_ns_rx_reset_ack(), gprs_ns_rx_sns(), gprs_ns_tx_reset(), gprs_ns_tx_reset_ack(), gprs_ns_tx_sns_ack(), gprs_ns_tx_sns_config(), gprs_ns_tx_sns_config_ack(), gprs_ns_tx_sns_size(), gprs_ns_tx_sns_size_ack(), gprs_ns_vc_create(), gprs_nsvc_by_nsei(), ns2_create_vc(), ns2_create_vc_sns(), ns2_nse_notify_unblocked(), ns2_sns_rx(), ns2_tx_reset(), ns2_tx_reset_ack(), ns2_tx_sns_ack(), ns2_tx_sns_config(), ns2_tx_sns_config_ack(), ns2_tx_sns_procedure(), ns2_tx_sns_size(), ns2_tx_sns_size_ack(), ns2_vc_rx(), reject_status_msg(), tx_bvc_reset_nsei_bvci(), vty_nse_alloc(), and vty_nse_by_nsei().

## tlli

uint32_t tlli

Identifier of a MS (inside BTS), equal to 'struct sgsn_mm_ctx'.